Bug 93510 - Regular expressions do not works when enabled automatically find columns and rows labels
Summary: Regular expressions do not works when enabled automatically find columns and ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Find-Search
  Show dependency treegraph
 
Reported: 2015-08-18 12:18 UTC by tagezi
Modified: 2016-10-01 09:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
for example (16.00 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-08-18 12:18 UTC, tagezi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tagezi 2015-08-18 12:18:56 UTC
Created attachment 117996 [details]
for example

OS: Kubuntu 14.04 (64 bit)
LO: 5.0.0.5

If a table have column of words, and I use the function SUMIFS with regular expressions in the function parameter "Criteria", the function return 0 independently from values in the sum range.

If range contains merged cells in the label or a empty cell right after the label, this bug do not appear.
I think that Calc cannot solve precedence of labels.

I attached the file with example.
Comment 1 Jacques Guilleron 2015-08-18 14:39:01 UTC
Hi Lera,

With your spreadsheet, when I split in Workaround the two first cells in heading, delete the second line, delete and introduce again the formula in B11, I reproduce with
LO 4.3.7.2 Build ID: 8a35821d8636a03b8bf4e15b48f59794652c68ba
LO 5.0.0.5 Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
OS: Windows 7 Home Premium
Comment 2 tagezi 2015-08-19 08:01:09 UTC
I made a mistake in the description of the bug.
SUMIFS must be read as SUMIF.

SUMIFS have it bug too. But it returns err:502.
If the range contains merged cells in the label or an empty cell right after the label, this bug do not appear, too.

I am very sorry for this mistake.
Do I have to divide these bug report?
Comment 3 QA Administrators 2016-09-20 10:26:05 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920